ComponentExportOptions

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openswing.swing.export.java
Class ComponentExportOptions

    java.lang.Object
      org.openswing.swing.export.java.ComponentExportOptions

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  GridExportOptions

public class ComponentExportOptions
extends java.lang.Object
implements java.io.Serializable

Title: OpenSwing Framework

Description: Generic component descriptor, used to export data.

Copyright: Copyright (C) 2006 Mauro Carniel

This file is part of OpenSwing Framework. This library is free software; you can redistribute it and/or modify it under the terms of the (LGPL) Lesser General Public License as published by the Free Software Foundation; GNU LESSER GENERAL PUBLIC LICENSE Version 2.1, February 1999 This library is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Library General Public License for more details. You should have received a copy of the GNU Library General Public License along with this library; if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. The author may be contacted at: maurocarniel@tin.it

See Also:
  Serialized Form

Constructor Summary
`ComponentExportOptions()` Define component layout.

Method Summary
`java.lang.Object[][]` | `getCellsContent()`
`void` | `setCellsContent(java.lang.Object[][] cellsContent)` Set values to add to export document.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ComponentExportOptions

    public ComponentExportOptions()

  Define component layout.

Method Detail

### getCellsContent

    public final java.lang.Object[][] getCellsContent()

  Returns:
    values to add to export document; may be null

### setCellsContent

    public final void setCellsContent(java.lang.Object[][] cellsContent)

  Set values to add to export document.

  Parameters:
    `cellsContent` - values to add to export document

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD